bzflush
bzread
Bzip2 Functions
PHP Manual

# bzopen

(PHP 4 >= 4.0.4, PHP 5)

bzopen — Opens a bzip2 compressed file

### Description

resource bzopen ( string `$filename` , string `$mode` )

bzopen() opens a bzip2 (.bz2) file for reading or writing.

### Parameters

`filename`

  The name of the file to open.

`mode`

  Similar to the fopen() function, only 'r' (read) and 'w' (write) are supported. Everything else will cause bzopen to return `FALSE`.

### Return Values

If the open fails, bzopen() returns `FALSE`, otherwise it returns a pointer to the newly opened file.

### Examples

Example #1 bzopen() example

`<?php
$file = "/tmp/foo.bz2";
$bz = bzopen($file, "r") or die("Couldn't open $file for reading");
bzclose($bz);
?>`

### See Also

- bzclose() - Close a bzip2 file

bzflush
bzread
Bzip2 Functions
PHP Manual